Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064129 - [RFE][horizon]: Allow CSV download of daily usage data
Summary: [RFE][horizon]: Allow CSV download of daily usage data
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ga
: 6.0 (Juno)
Assignee: Matthias Runge
QA Contact: Ido Ovadia
URL: https://blueprints.launchpad.net/hori...
Whiteboard: upstream_milestone_juno-1 upstream_st...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-12 05:08 UTC by RHOS Integration
Modified: 2016-04-26 23:53 UTC (History)
9 users (show)

Fixed In Version: python-django-horizon-2014.2-4.el7ost
Doc Type: Enhancement
Doc Text:
The Telemetry service now supports CSV download of daily usage data. In the dashboard, this feature is available through the 'Download CSV summary' button of the Admin > Overview panel. This button also becomes available after querying usage data.
Clone Of:
Environment:
Last Closed: 2015-02-09 20:04:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 78089 None None None Never

Description RHOS Integration 2014-02-12 05:08:12 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/horizon/+spec/csv-daily-usage.

Description:

Allow the user to download daily usage data for all of the projects as a CSV file.

Specification URL (additional information):

None

Comment 1 Matthias Runge 2015-01-19 11:44:38 UTC
Moving to modified, the patch was merged in May 2014, thus contained in Juno release since ever.

how to test:
in admins overview panel, there is a button "download CSV summary"
The same is true for Admin/Ressource Usage", where you'll get that button after querying usage data.

Comment 3 Scott Lewis 2015-02-09 20:04:56 UTC
This bug has been closed as a part of the RHEL-OSP 6 general availability release. For details, see https://rhn.redhat.com/errata/rhel7-rhos-6-errata.html


Note You need to log in before you can comment on or make changes to this bug.